Plank.DockItem.get_background_surface – plank Reference Manual

# get_background_surface

## Description:

public Surface? get_background_surface (int width, int height, Surface model, DrawDataFunc<DockItem>? draw_data_func)

Returns the background surface for this item.

The draw_func may pass through the given previously computed surface or change it as needed. This surface will be buffered internally.

Passing null as draw_func will destroy the internal background buffer.

## Parameters:

draw_data_func | function which creates/changes the background surface

## Returns:

the background surface of this item which may not be changed